package com.brilliance.isc.common.rmbbop.common;


import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.isc.bo.Pbl;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@EqualsAndHashCode(callSuper = true)
public class Pblmod extends AbstractCommonVo {
    //交易类型值如下设置：A：增加，A：增加，D：删除，S：发送，I：查询，U：接收，V：数据提取，P：打印
    private String dectyp = NULLSTR;
    private String trninr = NULLSTR;
    private Pbl pbl;
    private Pbl wrkpbl;
    private PblInfo pblInfo ;
    private IStream oldvalstm;

    @Override
    public void reset() {
        if (pblInfo == null) {
            pblInfo = new PblInfo();
        }
        if (pbl == null) {
            pbl = new Pbl();
        }
        if (wrkpbl == null) {
            wrkpbl = new Pbl();
        }
    }

 }
